{
  "extends": "../../tsconfig.json",
  "compilerOptions": {
    "outDir": "../../out-tsc/lib",
    "declarationMap": true,
    "moduleResolution": "node",
    "declaration": true,
    "sourceMap": true,
    "inlineSources": true,
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "importHelpers": true,
    "types": [],
    "lib": ["dom", "es2018"],
    "paths": {
      "@muni-kypo-crp/user-and-group-agenda": ["./src/public_api.ts"],
      "@muni-kypo-crp/user-and-group-agenda/group-edit": ["./group-edit/src/public_api.ts"],
      "@muni-kypo-crp/user-and-group-agenda/group-detail": ["./group-detail/src/public_api.ts"],
      "@muni-kypo-crp/user-and-group-agenda/group-overview": ["./group-overview/src/public_api.ts"],
      "@muni-kypo-crp/user-and-group-agenda/internal": ["./internal/src/public_api.ts"],
      "@muni-kypo-crp/user-and-group-agenda/microservice-registration": ["./microservice-registration/src/public_api.ts"],
      "@muni-kypo-crp/user-and-group-agenda/user-overview": ["./user-overview/src/public_api.ts"],
      "@muni-kypo-crp/user-and-group-agenda/user-detail": ["./user-detail/src/public_api.ts"],
      "@muni-kypo-crp/user-and-group-agenda/microservice-overview": ["./microservice-overview/src/public_api.ts"]
    }
  },
  "angularCompilerOptions": {
    "skipTemplateCodegen": true,
    "strictMetadataEmit": true,
    "fullTemplateTypeCheck": true,
    "strictInjectionParameters": true,
    "enableResourceInlining": true
  },
  "exclude": ["test.ts", "**/*.spec.ts"]
}
